# Reset Conversation Action

This action reset the conversation position to the default starting [behaviour ](/basic-concepts/the-chatbot-designer/behaviours_concepts.md)and [interaction ](/basic-concepts/the-chatbot-designer/interactions_concepts.md)and all non basic variables and tags from the current conversation.

![](/files/-MI4FhBghSEWzsyr2PAQ)

### Settings

The action uses the following settings:

| Setting                     | Description                                                                                                                                              | [Parsed](/actions-and-operations/dynamic-parsing.md) |
| --------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------- |
| Reset Variables And Tags    | Enable this flag to force clearing of all all non basic variables and tags.                                                                              | :no\_entry:                                          |
| Reset Conversation Position | Enable this flag to set conversation position to [chatbot defaults](/basic-concepts/the-chatbot-designer/interactions_concepts.md#the-start-interaction) | :no\_entry:                                          |

### Remarks

Use this action whenever you need to reset the current conversation from the flow and/or clear any variable you may have used. Using both reset of variables and tags and reset of conversation position will basically put back the user to the starting point *without* removing the contact.

As soon as the conversation position is reset, your user will receive your chatbot [starting message](/basic-concepts/the-chatbot-designer/interactions_concepts.md#the-start-interaction).

Please note that Resetting Variables and Tags won't affect core variables. Core variables are considered vital for bot configuration and won't be altered. The table below contains the full list of all cored variables.

<table><thead><tr><th width="64">Variable</th></tr></thead><tbody><tr><td>account_link_token</td></tr><tr><td>alexa_account_link_token</td></tr><tr><td>alexa_api_endpoint</td></tr><tr><td>alexa_api_messaging_token</td></tr><tr><td>alexa_user_iduser_phone_number</td></tr><tr><td>birthday</td></tr><tr><td>bot_api_token</td></tr><tr><td>bot_channel</td></tr><tr><td>bot_name</td></tr><tr><td>channel</td></tr><tr><td>chat_state</td></tr><tr><td>conversation_id</td></tr><tr><td>country_code</td></tr><tr><td>current_hour</td></tr><tr><td>current_minutes</td></tr><tr><td>facebook_page_id</td></tr><tr><td>facebook_page_name</td></tr><tr><td>first_contact</td></tr><tr><td>first_contact_day</td></tr><tr><td>first_contact_month</td></tr><tr><td>first_contact_weekday</td></tr><tr><td>first_contact_year</td></tr><tr><td>first_name</td></tr><tr><td>gender</td></tr><tr><td>is_group_chat</td></tr><tr><td>is_payment_enabled</td></tr><tr><td>last_ad_referral.ad_id</td></tr><tr><td>last_ad_referral.source</td></tr><tr><td>last_ad_referral.type</td></tr><tr><td>last_contact</td></tr><tr><td>last_contact_day</td></tr><tr><td>last_contact_month</td></tr><tr><td>last_contact_weekday</td></tr><tr><td>last_contact_year</td></tr><tr><td>last_name</td></tr><tr><td>locale</td></tr><tr><td>phone_country_code</td></tr><tr><td>postal_code</td></tr><tr><td>profile_pic</td></tr><tr><td>profile_pic</td></tr><tr><td>timezone</td></tr><tr><td>user_id</td></tr><tr><td>user_name</td></tr><tr><td>wa_contact_refresh</td></tr><tr><td>web_channel_referral</td></tr><tr><td>web_channel_url</td></tr></tbody></table>

### Trigger

This action does not have any trigger.

### Variables

This action does not produce any variable.

### Availability

Channel specific availability follows the table below:

| Channel          | Availability     |
| ---------------- | ---------------- |
| Facebook         | Fully Available. |
| WhatsApp         | Fully Available. |
| Telegram         | Fully Available. |
| Web              | Fully Available. |
| Alexa            | Fully Available. |
| Google Assistant | Fully Available. |
| Slack            | Fully Available. |
| API              | Fully Available. |

This action can be used inside interactions and as child of other actions. This action requires a [Premium Account](/basic-concepts/your-account/upgrading-from-free.md) to be used on a live chatbot.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xenioo.com/actions-and-operations/flow/reset-conversation-action.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
